<?php
/**
 * @package WordPress
 * @subpakage glowing_amber
 */

add_action('after_setup_theme', 'ga_setup');
function ga_setup(){
    load_theme_textdomain('ga', get_template_directory() . '/languages');
}

function ga_enqueue() {
    global $wp_styles;
    wp_enqueue_style( 'themestyle', get_stylesheet_uri() );
}
add_action( 'wp_enqueue_scripts', 'ga_enqueue' );

add_theme_support( 'automatic-feed-links' );

function glowing_amber_widgets_init() {
	// Default Sidebar for right column
	if ( function_exists('register_sidebar') ) {
	register_sidebar(array(
		'before_widget' => '<div class="widget">',
          'after_widget' => '</div>',
          'before_title' => '<h3>',
          'after_title' => '</h3>',
	));
}
	 // Left Sidebar
     if(function_exists('register_sidebar'))
          register_sidebar(array(
          'name' => 'Sidebar Left', // The sidebar name to register
          'before_widget' => '<div class="widget">',
          'after_widget' => '</div>',
          'before_title' => '<h2>',
          'after_title' => '</h2>',
     ));

	 // Header
     if(function_exists('register_sidebar'))
          register_sidebar(array(
          'name' => 'Header', // The sidebar name to register
          'before_widget' => '<div id="header">',
          'after_widget' => '</div>',
          'before_title' => '<h2>',
          'after_title' => '</h2>',
     ));
	 // Bottom Widget Left
     if(function_exists('register_sidebar'))
          register_sidebar(array(
          'name' => 'Bottom Left', // The sidebar name to register
          'before_widget' => '<div class="widget">',
          'after_widget' => '</div>',
          'before_title' => '<h3>',
          'after_title' => '</h3>',
     ));
	 // Bottom Widget Center
     if(function_exists('register_sidebar'))
          register_sidebar(array(
          'name' => 'Bottom Center', // The sidebar name to register
          'before_widget' => '<div class="widget">',
          'after_widget' => '</div>',
          'before_title' => '<h3>',
          'after_title' => '</h3>',
     ));
	 // Bottom Widget Right
     if(function_exists('register_sidebar'))
          register_sidebar(array(
          'name' => 'Bottom Right', // The sidebar name to register
          'before_widget' => '<div class="widget">',
          'after_widget' => '</div>',
          'before_title' => '<h3>',
          'after_title' => '</h3>',
     ));
	 // Footer Info
     if(function_exists('register_sidebar'))
          register_sidebar(array(
          'name' => 'Footer', // The sidebar name to register
          'before_widget' => '',
          'after_widget' => '',
          'before_title' => '<h3>',
          'after_title' => '</h3>',
     ));
}

add_action( 'widgets_init', 'glowing_amber_widgets_init' );

	 // Below is custom read more link for articles
	add_filter( 'the_content_more_link', 'my_more_link', 10, 2 );

function my_more_link( $more_link, $more_link_text ) {
	return str_replace( $more_link_text, __('Continue Reading','ga').'...', $more_link );
} 
	 
	 // This is for the breadcrumbs without the need of a plugin
function pts_breadcrumb() {
    if (!is_home()) {
        echo '<a href="';
        echo home_url();
        echo '">';
        _e('Home','ga');

        echo "</a> ";
        if (is_category() || is_single()) {
            single_cat_title();
            if (is_single()) {
                echo " | ";
                the_title();
            }
        } elseif (is_page()) {
            echo " | ";
            the_title();
        }
    }
}


function glowingamber_wp_title( $title, $sep ) {
    global $paged, $page;

    if ( is_feed() )
        return $title;

    // Add the site name.
    $title .= ' '.get_bloginfo( 'name' );

    //if is normal page or post


    // Add the site description for the home/front page.
    $site_description = get_bloginfo( 'description', 'display' );
    if ( $site_description && ( is_home() || is_front_page() ) )
        $title = "$title $sep $site_description";

    // Add a page number if necessary.
    if ( $paged >= 2 || $page >= 2 )
        $title = "$title $sep " . sprintf( __( 'Page %s', 'ga' ), max( $paged, $page ) );

    return $title;
}
add_filter( 'wp_title', 'glowingamber_wp_title', 10, 2 );


if (!isset($content_width)) $content_width = 700;

$args = array(
    'width' => 940,
    'height' => 300,
    'default-image' => '',
    'uploads' => true,
    'header-text' => false,
);
add_theme_support('custom-header', $args);

$args = array();
add_theme_support('custom-background', $args);
function my_theme_add_editor_styles()
{
    add_editor_style(get_stylesheet_directory_uri() . '/css/editor.css');
}
add_action('after_setup_theme', 'my_theme_add_editor_styles');
add_theme_support( "post-thumbnails" );
register_nav_menu('Main Menu', 'Your primary site menu');

include_once('admin/admin_area.php');